# APPLETextureRange (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class APPLETextureRange

    java.lang.Object
      org.lwjgl.opengl.APPLETextureRange

    public final class APPLETextureRange

extends java.lang.Object

Field Summary
`static int` `GL_STORAGE_CACHED_APPLE` Accepted by the parameters of TexParameteri, TexParameterf, TexParameteriv, and TexParameterfv:
`static int` `GL_STORAGE_PRIVATE_APPLE` Accepted by the parameters of TexParameteri, TexParameterf, TexParameteriv, and TexParameterfv:
`static int` `GL_STORAGE_SHARED_APPLE` Accepted by the parameters of TexParameteri, TexParameterf, TexParameteriv, and TexParameterfv:
`static int` `GL_TEXTURE_RANGE_LENGTH_APPLE` Accepted by the <pname> parameters of GetTexParameteriv and GetTexParameterfv:
`static int` `GL_TEXTURE_RANGE_POINTER_APPLE` Accepted by the <pname> parameters of GetTexParameterPointerv:
`static int` `GL_TEXTURE_STORAGE_HINT_APPLE` Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameteriv, and GetTexParameterfv:

Method Summary
`static java.nio.Buffer` `glGetTexParameterPointervAPPLE(int target, int pname, long result_size)`
`static void` `glTextureRangeAPPLE(int target, java.nio.ByteBuffer pointer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_TEXTURE_STORAGE_HINT_APPLE

    public static final int GL_TEXTURE_STORAGE_HINT_APPLE

  Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameteriv, and GetTexParameterfv:

  See Also:
    Constant Field Values

### GL_STORAGE_PRIVATE_APPLE

    public static final int GL_STORAGE_PRIVATE_APPLE

  Accepted by the parameters of TexParameteri, TexParameterf, TexParameteriv, and TexParameterfv:

  See Also:
    Constant Field Values

### GL_STORAGE_CACHED_APPLE

    public static final int GL_STORAGE_CACHED_APPLE

  Accepted by the parameters of TexParameteri, TexParameterf, TexParameteriv, and TexParameterfv:

  See Also:
    Constant Field Values

### GL_STORAGE_SHARED_APPLE

    public static final int GL_STORAGE_SHARED_APPLE

  Accepted by the parameters of TexParameteri, TexParameterf, TexParameteriv, and TexParameterfv:

  See Also:
    Constant Field Values

### GL_TEXTURE_RANGE_LENGTH_APPLE

    public static final int GL_TEXTURE_RANGE_LENGTH_APPLE

  Accepted by the <pname> parameters of GetTexParameteriv and GetTexParameterfv:

  See Also:
    Constant Field Values

### GL_TEXTURE_RANGE_POINTER_APPLE

    public static final int GL_TEXTURE_RANGE_POINTER_APPLE

  Accepted by the <pname> parameters of GetTexParameterPointerv:

  See Also:
    Constant Field Values

Method Detail

### glTextureRangeAPPLE

    public static void glTextureRangeAPPLE(int target,
                                           java.nio.ByteBuffer pointer)

### glGetTexParameterPointervAPPLE

    public static java.nio.Buffer glGetTexParameterPointervAPPLE(int target,
                                                                 int pname,
                                                                 long result_size)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.